All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class StringToOrderedCollectionInterfaceTransform

    com.sas.util.transforms.StringToOrderedCollectionInterfaceTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInputOutputInterface, com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class StringToOrderedCollectionInterfaceTransform

implements com.sas.util.transforms.TransformInputOutputInterface

A transform for converting a `String` to a `OrderedCollectionInterface`. This works by tokenizing the input. Data that looks like an int is converted to a ``Integer``; long ints are converted to `Long` objects; floating point values are converted to ``Double`` objects, true/false are converted to ``Boolean``, character literals are converted to a ``Character`` object, and pretty much everything else is converted to a ``String``.

See Also:
  `StaticOrderedCollectionInterfaceToStringTransform`, Serialized Form

Field Summary
`static StringToOrderedCollectionInterfaceTransform` | `defaultInstance` A default instance which can perform the transformation.

Fields inherited from class com.sas.util.transforms.StringToCollectionInterfaceTransform
`collectionClass`

Constructor Summary
`StringToOrderedCollectionInterfaceTransform()` Default constructor which uses a `','` delimiter.
`StringToOrderedCollectionInterfaceTransform(char delimiter)` Construct a transform which uses a specific delimiter.
`StringToOrderedCollectionInterfaceTransform(char delimiter, com.sas.collection.OrderedCollectionInterface collection)` Construct a transform which uses a specific delimiter.

Method Summary
`java.lang.Class` | `getInputClass()`
`java.lang.Class` | `getOutputClass()`

Methods inherited from class com.sas.util.transforms.StringToCollectionInterfaceTransform
`defaultDelimiterChar, newCollection, transform, transform`

Methods inherited from interface com.sas.util.transforms.TransformInterface
`transform`

Field Detail

### defaultInstance

    public static final StringToOrderedCollectionInterfaceTransform defaultInstance

  A default instance which can perform the transformation.

Constructor Detail

### StringToOrderedCollectionInterfaceTransform

    public StringToOrderedCollectionInterfaceTransform()

  Default constructor which uses a `','` delimiter.

### StringToOrderedCollectionInterfaceTransform

    public StringToOrderedCollectionInterfaceTransform(char delimiter)

  Construct a transform which uses a specific delimiter.

  Parameters:
    `delimiter` - the item delimiter.

### StringToOrderedCollectionInterfaceTransform

    public StringToOrderedCollectionInterfaceTransform(char delimiter,
                                                       com.sas.collection.OrderedCollectionInterface collection)

  Construct a transform which uses a specific delimiter.

  Parameters:
    `delimiter` - the item delimiter.
    `collection` - an output ordered collection to return from `transform(Object)`

Method Detail

### getInputClass

    public java.lang.Class getInputClass()

  Specified by:
    `getInputClass` in interface `com.sas.util.transforms.TransformInputOutputInterface`

### getOutputClass

    public java.lang.Class getOutputClass()

  Specified by:
    `getOutputClass` in interface `com.sas.util.transforms.TransformInputOutputInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.